<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="RunEmail">
        <s:complexType />
      </s:element>
      <s:element name="RunEmailResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="RunEmailResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EmailDirectToSMTPServer">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="EmailCategory" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="EmailTo" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="EmailCC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="EmailBCC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Subject" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Body" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="EmailFrom" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="EmailFromDisplayName" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EmailDirectToSMTPServerResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="EmailDirectToSMTPServerResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EmailInsertToDB">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="emailTo" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailCC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailBCC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="subject" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="message" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="nik" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="counterCode" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="namaFile" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="image" type="s:base64Binary" />
            <s:element minOccurs="0" maxOccurs="1" name="emailFrom" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailFromDisplayName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailID" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EmailInsertToDBResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="EmailInsertToDBResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="InsertSimpleEmail">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="DataRequest" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="CounterCode" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="EmailFrom" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="EmailFromDisplayName" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="InsertSimpleEmailResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="InsertSimpleEmailResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EmailInsertToDBMultiAttachment">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="emailTo" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailCC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailBCC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="subject" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="message" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="nik" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="counterCode" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="namaFile1" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="image1" type="s:base64Binary" />
            <s:element minOccurs="0" maxOccurs="1" name="namaFile2" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="image2" type="s:base64Binary" />
            <s:element minOccurs="0" maxOccurs="1" name="namaFile3" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="image3" type="s:base64Binary" />
            <s:element minOccurs="0" maxOccurs="1" name="namaFile4" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="image4" type="s:base64Binary" />
            <s:element minOccurs="0" maxOccurs="1" name="namaFile5" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="image5" type="s:base64Binary" />
            <s:element minOccurs="0" maxOccurs="1" name="emailFrom" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailFromDisplayName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailID" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EmailInsertToDBMultiAttachmentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="EmailInsertToDBMultiAttachmentResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="getEmailIDForMultipleAttachment">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="counterCode" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="getEmailIDForMultipleAttachmentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="getEmailIDForMultipleAttachmentResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="insertAttachment">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="emailID" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="namaFile" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="imageAttachment" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="insertAttachmentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="insertAttachmentResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="sendMailAttachment_Inserted">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="emailTo" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailCC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailBCC" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="subject" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="message" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="nik" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="counterCode" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailFrom" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailFromDisplayName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="emailID" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="sendMailAttachment_InsertedResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="sendMailAttachment_InsertedResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="TestLippoCikarang">
        <s:complexType />
      </s:element>
      <s:element name="TestLippoCikarangResponse">
        <s:complexType />
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="RunEmailSoapIn">
    <wsdl:part name="parameters" element="tns:RunEmail" />
  </wsdl:message>
  <wsdl:message name="RunEmailSoapOut">
    <wsdl:part name="parameters" element="tns:RunEmailResponse" />
  </wsdl:message>
  <wsdl:message name="EmailDirectToSMTPServerSoapIn">
    <wsdl:part name="parameters" element="tns:EmailDirectToSMTPServer" />
  </wsdl:message>
  <wsdl:message name="EmailDirectToSMTPServerSoapOut">
    <wsdl:part name="parameters" element="tns:EmailDirectToSMTPServerResponse" />
  </wsdl:message>
  <wsdl:message name="EmailInsertToDBSoapIn">
    <wsdl:part name="parameters" element="tns:EmailInsertToDB" />
  </wsdl:message>
  <wsdl:message name="EmailInsertToDBSoapOut">
    <wsdl:part name="parameters" element="tns:EmailInsertToDBResponse" />
  </wsdl:message>
  <wsdl:message name="InsertSimpleEmailSoapIn">
    <wsdl:part name="parameters" element="tns:InsertSimpleEmail" />
  </wsdl:message>
  <wsdl:message name="InsertSimpleEmailSoapOut">
    <wsdl:part name="parameters" element="tns:InsertSimpleEmailResponse" />
  </wsdl:message>
  <wsdl:message name="EmailInsertToDBMultiAttachmentSoapIn">
    <wsdl:part name="parameters" element="tns:EmailInsertToDBMultiAttachment" />
  </wsdl:message>
  <wsdl:message name="EmailInsertToDBMultiAttachmentSoapOut">
    <wsdl:part name="parameters" element="tns:EmailInsertToDBMultiAttachmentResponse" />
  </wsdl:message>
  <wsdl:message name="getEmailIDForMultipleAttachmentSoapIn">
    <wsdl:part name="parameters" element="tns:getEmailIDForMultipleAttachment" />
  </wsdl:message>
  <wsdl:message name="getEmailIDForMultipleAttachmentSoapOut">
    <wsdl:part name="parameters" element="tns:getEmailIDForMultipleAttachmentResponse" />
  </wsdl:message>
  <wsdl:message name="insertAttachmentSoapIn">
    <wsdl:part name="parameters" element="tns:insertAttachment" />
  </wsdl:message>
  <wsdl:message name="insertAttachmentSoapOut">
    <wsdl:part name="parameters" element="tns:insertAttachmentResponse" />
  </wsdl:message>
  <wsdl:message name="sendMailAttachment_InsertedSoapIn">
    <wsdl:part name="parameters" element="tns:sendMailAttachment_Inserted" />
  </wsdl:message>
  <wsdl:message name="sendMailAttachment_InsertedSoapOut">
    <wsdl:part name="parameters" element="tns:sendMailAttachment_InsertedResponse" />
  </wsdl:message>
  <wsdl:message name="TestLippoCikarangSoapIn">
    <wsdl:part name="parameters" element="tns:TestLippoCikarang" />
  </wsdl:message>
  <wsdl:message name="TestLippoCikarangSoapOut">
    <wsdl:part name="parameters" element="tns:TestLippoCikarangResponse" />
  </wsdl:message>
  <wsdl:portType name="LKEmailServiceSoap">
    <wsdl:operation name="RunEmail">
      <wsdl:input message="tns:RunEmailSoapIn" />
      <wsdl:output message="tns:RunEmailSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="EmailDirectToSMTPServer">
      <wsdl:input message="tns:EmailDirectToSMTPServerSoapIn" />
      <wsdl:output message="tns:EmailDirectToSMTPServerSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="EmailInsertToDB">
      <wsdl:input message="tns:EmailInsertToDBSoapIn" />
      <wsdl:output message="tns:EmailInsertToDBSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="InsertSimpleEmail">
      <wsdl:input message="tns:InsertSimpleEmailSoapIn" />
      <wsdl:output message="tns:InsertSimpleEmailSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="EmailInsertToDBMultiAttachment">
      <wsdl:input message="tns:EmailInsertToDBMultiAttachmentSoapIn" />
      <wsdl:output message="tns:EmailInsertToDBMultiAttachmentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="getEmailIDForMultipleAttachment">
      <wsdl:input message="tns:getEmailIDForMultipleAttachmentSoapIn" />
      <wsdl:output message="tns:getEmailIDForMultipleAttachmentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="insertAttachment">
      <wsdl:input message="tns:insertAttachmentSoapIn" />
      <wsdl:output message="tns:insertAttachmentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="sendMailAttachment_Inserted">
      <wsdl:input message="tns:sendMailAttachment_InsertedSoapIn" />
      <wsdl:output message="tns:sendMailAttachment_InsertedSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="TestLippoCikarang">
      <wsdl:input message="tns:TestLippoCikarangSoapIn" />
      <wsdl:output message="tns:TestLippoCikarangSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="LKEmailServiceSoap" type="tns:LKEmailServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="RunEmail">
      <soap:operation soapAction="http://tempuri.org/RunEmail" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EmailDirectToSMTPServer">
      <soap:operation soapAction="http://tempuri.org/EmailDirectToSMTPServer" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EmailInsertToDB">
      <soap:operation soapAction="http://tempuri.org/EmailInsertToDB" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="InsertSimpleEmail">
      <soap:operation soapAction="http://tempuri.org/InsertSimpleEmail" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EmailInsertToDBMultiAttachment">
      <soap:operation soapAction="http://tempuri.org/EmailInsertToDBMultiAttachment" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getEmailIDForMultipleAttachment">
      <soap:operation soapAction="http://tempuri.org/getEmailIDForMultipleAttachment" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="insertAttachment">
      <soap:operation soapAction="http://tempuri.org/insertAttachment" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="sendMailAttachment_Inserted">
      <soap:operation soapAction="http://tempuri.org/sendMailAttachment_Inserted" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="TestLippoCikarang">
      <soap:operation soapAction="http://tempuri.org/TestLippoCikarang" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="LKEmailServiceSoap12" type="tns:LKEmailServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="RunEmail">
      <soap12:operation soapAction="http://tempuri.org/RunEmail" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EmailDirectToSMTPServer">
      <soap12:operation soapAction="http://tempuri.org/EmailDirectToSMTPServer" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EmailInsertToDB">
      <soap12:operation soapAction="http://tempuri.org/EmailInsertToDB" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="InsertSimpleEmail">
      <soap12:operation soapAction="http://tempuri.org/InsertSimpleEmail" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EmailInsertToDBMultiAttachment">
      <soap12:operation soapAction="http://tempuri.org/EmailInsertToDBMultiAttachment" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getEmailIDForMultipleAttachment">
      <soap12:operation soapAction="http://tempuri.org/getEmailIDForMultipleAttachment" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="insertAttachment">
      <soap12:operation soapAction="http://tempuri.org/insertAttachment" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="sendMailAttachment_Inserted">
      <soap12:operation soapAction="http://tempuri.org/sendMailAttachment_Inserted" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="TestLippoCikarang">
      <soap12:operation soapAction="http://tempuri.org/TestLippoCikarang" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="LKEmailService">
    <wsdl:port name="LKEmailServiceSoap" binding="tns:LKEmailServiceSoap">
      <soap:address location="http://appdev1.lippokarawaci.co.id/LKEmailEngineServices/services/LKEmailService.asmx" />
    </wsdl:port>
    <wsdl:port name="LKEmailServiceSoap12" binding="tns:LKEmailServiceSoap12">
      <soap12:address location="http://appdev1.lippokarawaci.co.id/LKEmailEngineServices/services/LKEmailService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>